celix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [celix] rlenferink opened a new issue #76: version and version_range mocks outdated and still used
Date Sat, 28 Sep 2019 14:21:39 GMT
rlenferink opened a new issue #76: version and version_range mocks outdated and still used
URL: https://github.com/apache/celix/issues/76
 
 
   Some of the framework tests still use the "version" and/or "version_range" mock.
   with the transition of CELIX-323, the version and "version_range" to the utils, the mock
remained in the framework mocks.
   After/during the move, new functionality was added to the source files, the mocks are now
out of date.
   Since almost every test links against the celix_utils lib, the mock is also redundant.
   
   either the mocks need to be kept up to date and moved to the utils, or they should be removed,
which will require some of the tests to be adapted.
   
   the framework tests in question are:
   
   - bundle_test
   - capability_test
   - manifest_parser_test
   - module_test
   - requirement_test
   - resolver_test
   - they might each require different amounts of adaptation
   
   ---
   
   Original creation date: 07/Jan/2016
   Reporter: Menno van der Graaf

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message